Bug 93449 - The search function only searches in vocabulary of the currently chosen language
Summary: The search function only searches in vocabulary of the currently chosen language
Status: RESOLVED FIXED
Alias: None
Product: kvoctrain
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Frederik Gladhorn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-17 14:37 UTC by Marc Heyvaert
Modified: 2007-09-26 22:53 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Heyvaert 2004-11-17 14:37:24 UTC
Version:           0.8.1 (using KDE KDE 3.2.1)
Installed from:    SuSE RPMs
OS:                Linux

In the handbook there is the following description for the search function (search box on the toolbar):

If you start typing an expression in this field, KVocTrain will search the next best match after each key. The cursor in the vocabulary is then moved to this location.

This works as it should do, but only in the currently chosen language. When you want to search a word or expression it is cumbersome to click into the 'right' column first. And as it is a 'smart' search function, it is not necessary. Take the word 'chaise'(french) and 'cheese' (english of course). When I start typing 'che' and kvoctrain searches in both vocabularies it will find cheese. Now if I am inadvertantly in the Frenc column, it will find 'chaise' (after pressing 'ch') and stay there because there is no word with 'che' so no better match....)

If you have selected a cell in the first two columns (lesson and active/non-active) no search is undertaken and there is no error message.

It is also confusing to see the 'black line' around the selected cell disappear once you click the search box, so there is no way for the user to tell what language (if any) is going to be searched...

So my wish is to extend the search function to all words and expressions in the vocabulary, irrespective of language.

Marc
Comment 1 Gregor Waluga 2005-12-19 23:11:50 UTC
Hi,

additionally there is no possibility to seek further for other meanings... today I seeked for the German word "bei" and kvoctrain found "Arbeit"... but I know for sure that there is the standalone word "bei" in the database. However I was not able to seek for further results where the string also appears...
So please extend the search function... it is one of the most important features of this application!

Thanks and greetings
Gregor
Comment 2 Eike Welk 2007-05-26 19:33:17 UTC
I too think it would be a big improvement, when the search function became more powerfull. Therefore here is a little proposal how multiple search results could be displayed:

When the user enters text into the search widget, the entries that do not match the search expression should be hidden. 

Then one can search in all fields. After a few letters are typed in the search field, there will only be the desired entries remaining.
kaddressbook implements searching this way, and I find it very usefull.


Kind regards,
Eike.
Comment 3 Frederik Gladhorn 2007-09-26 22:53:03 UTC
SVN commit 717408 by gladhorn:

Make search search in all columns.
In KDE4 this has been fixed for quite some time and search is overall much improved.
BUG: 93449


 M  +22 -22    kvoctraindoc.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=717408